<?php


namespace WpieApp\Core\Page\Blocks\Fields;

defined( 'WPIE__FILE__' ) || exit;


class Uploader {

        
        const TYPE = "uploader";

        
        public static function render() {

                ?>
                <div class="py-5 border border-4 bse-border-dashed rounded-3 text-center bg-white mb-3 wpie-local-upload" id="wpie-local-upload" >
                        <div class="mb-3 bse-fs-18"><?php esc_html_e( 'Drop file here', 'wp-import-export' ); ?></div>
                        <div class="mb-3 bse-fs-14"><?php esc_html_e( 'OR', 'wp-import-export' ); ?></div>
                        <button type="button" class="btn btn-primary" id="wpie-local-upload-btn"><i class="fa-solid fa-cloud-arrow-up me-1"></i><?php esc_html_e( 'Select Files', 'wp-import-export' ); ?></button>
                </div>    
                <h5 class="wpie-local-filename mt5 mb-3 d-none"></h5>
                <div class="progress wpie-local-upload-progress-bar d-none">
                        <div class="progress-bar progress-bar-striped progress-bar-animated bse-fs-18 bse-fw-600" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%">0%</div>
                </div>
                <?php
        }

}
