<?php



namespace WpieApp\Extensions\Export\AllInOneSeo\Controller\Items\Post;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\AllInOneSeo\Controller\Items\Post\Fields\Seo;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function get( $fields = [], $contentType = '' ) {

                $fields[ "all-in-one-seo" ] = Seo::get();

                return $fields;
        }

        
        public static function excludeMeta( $metas = [], $contentType = '' ) {

                $where = [ " AND `postmeta`.`meta_key` NOT LIKE '%aioseo%' " ];

                
                $where = \apply_filters( 'Wpie/Export/Post/Fields/Meta/Query/Where/AllInOneSeo', $where );

                return array_merge( $metas, $where );
        }

}
