<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Attribute;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\DataCenter as TaxonomyDataCenter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Attribute\DataCenters\Attribute;

defined( 'WPIE__FILE__' ) || exit;


class DataCenter extends TaxonomyDataCenter {

        
        protected static function setItem() {

                self::$item = \get_term( self::$id );

                if ( !is_object( self::$item ) ) {
                        return false;
                }
                return true;
        }

        
        protected static function processData() {

                $type = self::getFieldOption( "type" );

                $data = "";

                if ( 'attribute' === $type ) {
                        $data = Attribute::getField();
                } else {
                        $data = parent::processData();
                }


                
                return \apply_filters( 'Wpie/Export/Attribute/Data', $data, $type );
        }

}
