<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filter;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\Tables\AddressesTable;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Order\Standard\Filters\Tables\OrderTable;

defined( 'WPIE__FILE__' ) || exit;


class Customer {

        
        public static function addRule() {

                $element = Filter::getOption( "element", "field" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return false;
                }

                if ( in_array( $element, [ 'customer_id', 'customer_note' ] ) ) {
                        OrderTable::addRule();
                        return;
                }

                AddressesTable::addRule();
        }

}
