<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Layout extends Base {

        
        protected static $fieldTypes = [ 'accordion', 'clone', 'acfe_column', 'acfe_dynamic_render', 'flexible_content', 'group', 'message', 'acfe_post_field', 'repeater', 'tab', 'table' ];

        
        protected static function getHints( $type = '' ) {

                $hints = parent::getHints( $type );

                $hints[] = [ 'text' => __( 'Supports only exported data from same plugin', 'wp-import-export' ), 'class' => 'text-danger' ];

                return $hints;
        }
}
