<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Post\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\Acf\Controller\Items\Base\Fields\Acf as BaseAcf;

defined( 'WPIE__FILE__' ) || exit;


class Acf extends BaseAcf implements InterfaceField {

        
        public static function getFieldGroupArg() {
                return [ 'post_type' => Settings::getContentType() ];
        }

        
        public static function getLocationFilters() {

                $page = [ 'page', 'page_parent', 'page_template', 'page_type' ];

                $post = [ 'post', 'post_category', 'post_format', 'post_status', 'post_taxonomy', 'post_template' ];

                return array_merge( $page, $post );
        }

}
