<?php



namespace WpieApp\Extensions\Import\Acf;

use WpieApp\Extensions\Base\Middleware as BaseMiddleware;
use WpieApp\Extensions\Import\Acf\Controller\ContentTypes;
use WpieApp\Extensions\Import\Acf\Controller\Manager as Controller;

defined( 'WPIE__FILE__' ) || exit;


class Middleware extends BaseMiddleware {

        
        protected $requiredPlugins = [ "Acf" => "5.8" ];

        
        public function boot() {

                ContentTypes::init();

                Controller::init();
        }
}
