<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter;

defined( 'WPIE__FILE__' ) || exit;


class IphoneUrl {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Iphone App Url', 'wp-import-export' ),
                        "desc"   => __( 'Twitter Iphone App Url', 'wp-import-export' ),
                        "order"  => 50,
                        "fields" => [
                                "app_iphone_url" => [
                                        "order"      => 5,
                                        "label"      => __( 'Twitter Iphone App Url', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "app_iphone_url" => [
                                                        "description" => __( "SEO Twitter Iphone App Url", 'wp-import-export' ),
                                                        "name"        => "fields/rankmathseo/twitter/app_iphone_url/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
