<?php



namespace WpieApp\Extensions\Import\WooCommerce;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Base\Middleware as BaseMiddleware;
use WpieApp\Extensions\Import\WooCommerce\Controller\WcTypes;
use WpieApp\Extensions\Import\WooCommerce\View\Manager as View;
use WpieApp\Extensions\Import\WooCommerce\Controller\Manager as Controller;

defined( 'WPIE__FILE__' ) || exit;


class Background {

        
        public function __construct() {

                \add_filter( 'woocommerce_order_number', [ __CLASS__, 'updateOrderNumber' ], 9999, 2 );
        }

        
        public static function updateOrderNumber( $id, $order ) {

                $orderNumber = $order->get_meta( '_wpie_order_number' );

                if ( Helper::isNonEmptyStr( $orderNumber ) ) {
                        return $orderNumber;
                }

                return $id;
        }
}
