<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction;

defined( 'WPIE__FILE__' ) || exit;


class ExcludeSaleItems {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Exclude sale items', 'wp-import-export' ),
                        "desc"   => __( 'Exclude sale items', 'wp-import-export' ),
                        "order"  => 40,
                        "fields" => [
                                "exclude_sale_items" => [
                                        "order"      => 10,
                                        "label"      => __( 'Exclude sale items', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "exclude_sale_items" => [
                                                        "description" => __( "Set if this coupon should excluded sale items or not.", 'wp-import-export' ),
                                                        "name"        => "fields/restriction/exclude_sale_items/data",
                                                        "type"        => "textarea",
                                                         "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'yes, no, true, false, 0, 1 values are supported', 'wp-import-export' )],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
