<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageRestriction;

defined( 'WPIE__FILE__' ) || exit;


class MaximumSpend {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Maximum spend', 'wp-import-export' ),
                        "desc"   => __( 'Maximum spend', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "maximum_amount" => [
                                        "order"      => 10,
                                        "label"      => __( 'Maximum spend', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "maximum_amount" => [
                                                        "description" => __( "Maximum spend", 'wp-import-export' ),
                                                        "name"        => "fields/restriction/maximum_amount/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Positive numbers only', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
