<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\User\Manager as UserManager;

defined( 'WPIE__FILE__' ) || exit;


class Manager extends UserManager {

        
        public static function getFields() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/Customer/Init/Fields', $type );

                return Fields::get();
        }

        
        public static function initEngine() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/Customer/Init/Engine', $type );

                return Engine::init();
        }

        
        public static function getAutoLoadFields() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/Customer/Init/AutoLoadFields', $type );

                return AutoDetect::get();
        }

}
