<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Items {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Items', 'wp-import-export' ),
                        "desc"   => __( 'Items', 'wp-import-export' ),
                        "order"  => 50,
                        "fields" => [
                                "items" => [
                                        "order"      => 5,
                                        "label"      => __( 'Items', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "items" => [
                                                        "description" => __( 'Items', 'wp-import-export' ),
                                                        "name"        => "fields/refund/items/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Only accept JSON format', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
