<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Refund;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class ShippingTax {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Refund Shipping Tax', 'wp-import-export' ),
                        "desc"   => __( 'Refund Shipping Tax', 'wp-import-export' ),
                        "order"  => 130,
                        "fields" => [
                                "shipping-tax" => [
                                        "order"      => 5,
                                        "label"      => __( 'Refund Shipping Tax', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "shipping-tax" => [
                                                        "description" => __( 'Refund Shipping Tax', 'wp-import-export' ),
                                                        "name"        => "fields/refund/shipping-tax/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Only accept JSON format', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
