<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Tax;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class TaxTotal {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Tax Total', 'wp-import-export' ),
                        "desc"          => __( 'Tax Total', 'wp-import-export' ),
                        "order"         => 50,
                        "isRecommended" => true,
                        "fields"        => [
                                "total" => [
                                        "order"      => 5,
                                        "label"      => __( 'Tax Total', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "total"     => [
                                                        "description" => __( 'Tax Total', 'wp-import-export' ),
                                                        "name"        => "fields/tax/total/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "separator" => [
                                                        "description" => __( 'Multiple Tax Rate separated by', 'wp-import-export' ),
                                                        "name"        => "fields/tax/total/separator",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : ||', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
