<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Attributes;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class DefaultAttribute {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Default Attribute', 'wp-import-export' ),
                        "desc"   => __( 'Default Attribute', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "default" => [
                                        "order"      => 10,
                                        "label"      => __( 'Default Attribute', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "product-url" => [
                                                        "description" => __( 'For variable product only. Support only json format data. example [{"color":"red","size":"large"}]', 'wp-import-export' ),
                                                        "name"        => "fields/attributes/default/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
