<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Attributes;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Options {

        
        public static function getBlocks() {

                return [
                        "title"      => __( 'Options', 'wp-import-export' ),
                        "desc"       => __( 'Attribute Options', 'wp-import-export' ),
                        "order"      => 1,
                        "block-type" => "options",
                        "fields"     => [
                                "manage-existing" => [
                                        "order"      => 10,
                                        "label"      => __( 'Manage Existing', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "update-existing" => [
                                                        "name"    => "fields/attributes/options/manage-existing",
                                                        "class"   => "wpie-attributes-manage-existing",
                                                        "order"   => 5,
                                                        "type"    => "radio",
                                                        "default" => "append",
                                                        "choices" => [
                                                                "append" => __( "Append Attributes", 'wp-import-export' ),
                                                                "remove" => __( "Remove Attributes", 'wp-import-export' )
                                                        ],
                                                        "hints"   => [
                                                                "append" => __( "Append new Attributes and keep Existing Attributes", 'wp-import-export' ),
                                                                "remove" => __( "Remove/Replace existing Attributes and Add new Attributes", 'wp-import-export' )
                                                        ]
                                                ]
                                        ]
                                ],
                        ]
                ];
        }

}
