<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Stock;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Status {

        
        public static function getBlocks() {


                return [
                        "title"  => __( 'Stock Status', 'wp-import-export' ),
                        "desc"   => __( 'Stock Status', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "item-title" => [
                                        "order"      => 10,
                                        "label"      => __( 'Stock Status', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "stock-status" => [
                                                        "description"   => __( 'Stock Status', 'wp-import-export' ),
                                                        "name"          => "fields/stock/status/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => [
                                                                "instock"      => __( "In stock", 'wp-import-export' ),
                                                                "outofstock"   => __( "Out of stock", 'wp-import-export' ),
                                                                "onbackorder"  => __( "On backorder", 'wp-import-export' ),
                                                                "as_specified" => __( "As specified", 'wp-import-export' )
                                                        ],
                                                        "hints"         => [
                                                                "as_specified" => __( 'Custom Status specified by you', 'wp-import-export' ),
                                                        ],
                                                        "choices-class" => [
                                                                "instock"      => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "stock_status-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => __( 'All Above statuses are supported', 'wp-import-export' ),
                                                                                                "name"        => "fields/stock/status/data_as_specified",
                                                                                                "class"       => "",
                                                                                                "order"       => 10,
                                                                                                "type"        => "textarea",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
