<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Comment\Manager as CommentManager;

defined( 'WPIE__FILE__' ) || exit;


class Manager extends CommentManager {

        
        public static function getFields() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/Review/Init/Fields', $type );

                return Fields::get();
        }

        
        public static function initEngine() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/Review/Init/Engine', $type );

                return Engine::init();
        }

        
        public static function getAutoLoadFields() {

                $type = Settings::getContentType();

                
                \do_action( 'Wpie/Import/Review/Init/AutoLoadFields', $type );

                return AutoDetect::get();
        }

}
