<?php



namespace WpieApp\Extensions\Import\Wpml\Controller\Items\Base;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\Wpml\Controller\Items\Base\Engines\Language;

defined( 'WPIE__FILE__' ) || exit;


class Filters {

        
        protected static $isInit = false;

        
        protected static $prefix;

        
        protected static $language;

        
        public static function getTableAlias() {

                if ( is_null( static::$prefix ) ) {
                        static::$prefix = Helper::randStr( 'translations_' );
                }
                return static::$prefix;
        }

        
        public static function getLanguage() {

                if ( Helper::isNonEmptyStr( static::$language ) ) {
                        return static::$language;
                }
                return Language::getImport();
        }

        
        public static function init() {

                if ( static::$isInit ) {
                        return;
                }

                static::$isInit = true;

                static::remove();

                static::add();
        }

        
        protected static function remove() {
                
        }

        
        protected static function add() {
                
        }
}
