<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Engines\General;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Engines\Social;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Engines\Schema;
use WpieApp\Modules\Import\Controller\Items\User\Engines\Meta;

defined( 'WPIE__FILE__' ) || exit;


class Engine {

        
        const PREFIX = 'wpseo_';

        
        public static function init() {

                $data = \array_merge(
                        General::get(),
                        Social::get(),
                        Schema::get()
                );

                if ( !Helper::isNonEmptyArray( $data ) ) {
                        return;
                }

                foreach ( $data as $key => $val ) {
                        Meta::updateMeta( $key, $val );
                }

                unset( $data );
        }
}
