<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\User\Engines;

use WpieApp\Modules\Import\Controller\Items\User\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Social {

        
        public static function get() {

                $data = [];

                $fields = [ 'facebook', 'instagram', 'linkedin', 'myspace', 'pinterest', 'soundcloud', 'tumblr', 'twitter', 'youtube', 'wikipedia', 'mastodon' ];

                foreach ( $fields as $field ) {

                        if ( !DataCenter::canUpdate( 'yoastseo/social/' . $field ) ) {
                                continue;
                        }

                        $data[ $field ] = DataCenter::get( "yoastseo/social/" . $field . "/data" );
                }

                return $data;
        }
}
