<?php




namespace WpieApp\Modules\Import\Controller\File\Filters;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Filter {

	
	public static function init() {

		$file = Settings::get( 'filename' );

		$fileExt = Helper::getFileExt( $file );

		$data = null;
		switch ( $fileExt ) {
			case "csv":
				$data = Csv::init();

				break;
		}

		return $data;
	}

}
