<?php



namespace WpieApp\Modules\Import\Controller\Items\User\Engines;

use WpieApp\Core\Utils\DB;
use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\User\Search;
use WpieApp\Modules\Import\Controller\Items\Base\Logger;
use WpieApp\Modules\Import\Controller\Items\User\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Other {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( "other/registered" ) ) {
                        $data[ "user_registered" ] = DataCenter::get( "other/registered/data" );
                }
                if ( DataCenter::canUpdate( "other/nicename" ) ) {
                        $data[ "user_nicename" ] = DataCenter::get( "other/nicename/data" );
                }
                if ( DataCenter::canUpdate( "other/website" ) ) {
                        $data[ "user_url" ] = DataCenter::get( "other/website/data" );
                }
                if ( DataCenter::canUpdate( "other/display-name" ) ) {
                        $data[ "display_name" ] = DataCenter::get( "other/display-name/data" );
                }
                if ( DataCenter::canUpdate( "other/nickname" ) ) {
                        $data[ "nickname" ] = DataCenter::get( "other/nickname/data" );
                }
                if ( DataCenter::canUpdate( "other/description" ) ) {
                        $data[ "description" ] = DataCenter::get( "other/description/data" );
                }
                if ( DataCenter::canUpdate( "other/language" ) ) {
                        $data[ "locale" ] = DataCenter::get( "other/language/data" );
                }

                return $data;
        }

}
