<?php



namespace WpieApp\Modules\Import\Controller\Items\User\Fields\Other;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Description {

        
        public static function getBlocks() {

                $contentType = Settings::getContentLabel();

                return [
                        "title"  => __( 'Biographical Info', 'wp-import-export' ),
                        "desc"   => __( 'Biographical Info', 'wp-import-export' ),
                        "order"  => 60,
                        "fields" => [
                                "item-description" => [
                                        "order"      => 10,
                                        "label"      => __( 'Biographical Info', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "description" => [
                                                        "description" => __( 'Biographical Info', 'wp-import-export' ),
                                                        "name"        => "fields/other/description/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
