<?php



namespace WpieApp\Modules\Logs\View\Logs;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function get() {

                
                return \apply_filters(
                        'Wpie/Modules/Logs/View/ManageLogs',
                        [
                                "class"      => "wpie-manage-logs-wrapper",
                                "groupClass" => "wpie-manage-logs",
                                "order"      => 15,
                                "blocks"     => [
                                        "export"   => Export::getBlocks(),
                                        "import"   => Import::getBlocks(),
                                        "settings" => Settings::getBlocks(),
                                ]
                        ]
                );
        }

}
