<?php

namespace WpieApp\Modules\Pro;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Providers\Middleware as BaseMiddleware;

defined( 'WPIE__FILE__' ) || exit;


class Middleware extends BaseMiddleware {

        
        public function boot() {

                if ( WPIE_PRO ) {
                        return;
                }

                // add menu...
                $this->createMenu( '<span class="wpie-pro-menu-highlight">' . esc_html__( 'Upgrade to Pro', 'wp-import-export' ) . '</span>', [], 999 );
        }
}
