<?php

namespace WpieApp\Modules\Tools;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Providers\Middleware as BaseMiddleware;

defined( 'WPIE__FILE__' ) || exit;


class Middleware extends BaseMiddleware {

        
        public function boot() {

                // add menu...
                $this->createMenu( __( 'Tools', 'wp-import-export' ), $this->getAssets(), 70 );
        }

        
        public function getAssets() {

                $moduleURL = Helper::activeModuleURL();

                return [
                        'scripts' => [
                                Helper::PLUGIN_PREFIX . 'tools' => [
                                        "src"  => $moduleURL . '/assets/js/tools.js',
                                        "deps" => [ 'jquery', Helper::PLUGIN_PREFIX . 'admin' ],
                                ]
                        ]
                ];
        }
}
