<?php


namespace WpieApp\Core\Page\Templates\Standard;

use WpieApp\Core\Page\Page;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

	
	public static function render() {

		?>
		<div class="wpie-container container-xxl m-0 p-0" >
			<form class="wpie-frm">

				<div class="wpie-header mb-3">
					<?php
					Header::render( Page::getHeader() );

					?>
				</div>
				<div class="wpie-content mb-3">
					<?php
					Content::render( Page::getContent() );

					?>
				</div>
				<div class="wpie-footer mt-3">
					<?php
					Footer::render( Page::getFooter() );

					?>
				</div>
			</form>
		</div>
		<?php
	}

}
