<?php



namespace WpieApp\Extensions\Export\RankMathSeo\Controller\Items\Post\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Export\RankMathSeo\Controller\Items\Base\Fields\Seo as BaseSeo;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Meta as PostMeta;

defined( 'WPIE__FILE__' ) || exit;


class Seo extends BaseSeo implements InterfaceField {

        
        protected static $metaType = PostMeta::FIELD_TYPE;

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Export/Post/Fields/RankMathSeo', parent::get(), Settings::getContentType() );
        }

        
        protected static function getGeneralFields() {

                return array_merge(
                        parent::getGeneralFields(),
                        [
                                [ 'label' => 'SEO Pillar Content', 'type' => static::$metaType, 'element' => 'rank_math_pillar_content' ]
                        ]
                );
        }

}
