<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Attribute;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Fields as TaxonomyFields;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Attribute\Fields\Standard;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Attribute\Fields\Attribute;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Attribute\Fields\Meta;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends TaxonomyFields {

        
        protected static function getData() {

                $contentType = Settings::getContentType();

                
                \do_action( 'Wpie/Export/Attribute/Fields/Init', $contentType );

                $fields = [
                        "standard"  => Standard::get(),
                        "attribute" => Attribute::get(),
                        "meta"      => Meta::get(),
                ];

                
                return \apply_filters( 'Wpie/Export/Attribute/Fields', $fields, $contentType );
        }

}
