<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenters\Standard as PostStandard;

defined( 'WPIE__FILE__' ) || exit;


class Standard extends PostStandard {

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                $data = parent::getField();

                if ( 'comment_status' === $element ) {
                        $data = ('open' === $data) ? 'Yes' : 'No';
                }

                
                return \apply_filters( 'Wpie/Export/Product/Standard/Data', $data, Settings::getContentType() );
        }

}
