<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social;

defined( 'WPIE__FILE__' ) || exit;


class Facebook
{

    
    public static function getBlocks ()
    {

        return [
                "title"    => __( 'Facebook URL' , 'wp-import-export' ) ,
                "desc"     => __( 'SEO Facebook URL' , 'wp-import-export' ) ,
                "order"    => 5 ,
                "isActive" => true ,
                "fields"   => [
                        "facebook_page_url" => [
                                "order"      => 5 ,
                                "label"      => __( 'Facebook URL' , 'wp-import-export' ) ,
                                "sub-fields" => [
                                        "facebook_page_url" => [
                                                "description" => __( "SEO Facebook URL" , 'wp-import-export' ) ,
                                                "name"        => "fields/allinoneseo/social/facebook_page_url/data" ,
                                                "type"        => "textarea" ,
                                                "hint"        => [
                                                        [ 'text' => __( 'Optional' , 'wp-import-export' ) ] ,
                                                ]
                                        ]
                                ] ,
                        ] ,
                ]
        ];
    }
}
