<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\User\Fields\Social;

defined( 'WPIE__FILE__' ) || exit;


class ProfilesUsername
{

    
    public static function getBlocks ()
    {

        return [
                "title"  => __( 'Same Profile Username' , 'wp-import-export' ) ,
                "desc"   => __( 'SEO Same Profile Username' , 'wp-import-export' ) ,
                "order"  => 65 ,
                "fields" => [
                        "profiles_same_username" => [
                                "order"      => 5 ,
                                "label"      => __( 'Same Profile Username' , 'wp-import-export' ) ,
                                "sub-fields" => [
                                        "profiles_same_username" => [
                                                "description" => __( "SEO Use the same username for multiple social networks" , 'wp-import-export' ) ,
                                                "name"        => "fields/allinoneseo/social/profiles_same_username/data" ,
                                                "type"        => "textarea" ,
                                                "hint"        => [
                                                        [ 'text' => __( 'Optional' , 'wp-import-export' ) ] ,
                                                        [ 'text' => __( 'Due to the nature of data and complexity of data, only exported data supported from the same plugin', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                ]
                                        ]
                                ] ,
                        ] ,
                ]
        ];
    }
}
