<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced;

defined( 'WPIE__FILE__' ) || exit;


class CanonicalUrl
{

    
    public static function getBlocks ()
    {

        return [
                "title"  => __( 'Canonical Url' , 'wp-import-export' ) ,
                "desc"   => __( 'Canonical Url' , 'wp-import-export' ) ,
                "order"  => 45 ,
                "fields" => [
                        "canonical-url" => [
                                "order"      => 5 ,
                                "label"      => __( 'Canonical Url' , 'wp-import-export' ) ,
                                "sub-fields" => [
                                        "canonical-url" => [
                                                "description" => __( "SEO Canonical Url" , 'wp-import-export' ) ,
                                                "name"        => "fields/rankmathseo/advanced/canonical_url/data" ,
                                                "type"        => "textarea" ,
                                                "hint"        => [
                                                        [ 'text' => __( 'optional' , 'wp-import-export' ) ] ,
                                                        [ 'text' => __( 'Only url supported' , 'wp-import-export' ) ] ,
                                                ]
                                        ]
                                ] ,
                        ] ,
                ]
        ];
    }
}
