<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Advanced;

defined( 'WPIE__FILE__' ) || exit;


class MaxImagePreview {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Robots Max Image Preview', 'wp-import-export' ),
                        "desc"   => __( 'Robots Max Image Preview', 'wp-import-export' ),
                        "order"  => 40,
                        "fields" => [
                                "max-image-preview" => [
                                        "order"      => 5,
                                        "label"      => __( 'Robots Max Image Preview', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "max-image-preview" => [
                                                        "description"   => __( "SEO Robots Max Image Preview", 'wp-import-export' ),
                                                        "name"          => "fields/rankmathseo/advanced/max_image_preview/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => [
                                                                "large"        => __( "Large", 'wp-import-export' ),
                                                                "standard"     => __( "Standard", 'wp-import-export' ),
                                                                "none"         => __( "None", 'wp-import-export' ),
                                                                "as_specified" => __( "As specified", 'wp-import-export' )
                                                        ],
                                                        "choices-class" => [
                                                                "large"        => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "max-image-preview-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "max-image-preview" => [
                                                                                                "name"  => "fields/rankmathseo/advanced/max_image_preview/data_as_specified",
                                                                                                "order" => 5,
                                                                                                "type"  => "text",
                                                                                                "hint"  => [
                                                                                                        [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'Default : large', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'large, standard, none all values are supported', 'wp-import-export' ) ],
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
