<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Attribute\Fields\Attribute;

defined( 'WPIE__FILE__' ) || exit;


class OrderBy {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Order by', 'wp-import-export' ),
                        "desc"   => __( 'Attribute Order by', 'wp-import-export' ),
                        "order"  => 50,
                        "fields" => [
                                "order" => [
                                        "order"      => 10,
                                        "label"      => __( 'Attribute Order by', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "order" => [
                                                        "description" => __( "Attribute Order by", 'wp-import-export' ),
                                                        "name"        => "fields/attribute/order_by/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'optional', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
