<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Fields;

use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Fields\Standard\DisplayType;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Fields\Standard\Order;
use WpieApp\Modules\Import\Controller\Items\Term\Fields\Standard as TermStandard;

defined( 'WPIE__FILE__' ) || exit;


class Standard extends TermStandard implements InterfaceField {

        
        public static function getFields() {

                $fields = parent::getFields();

                $fields[ 'blocks' ] = isset( $fields[ 'blocks' ] ) ? $fields[ 'blocks' ] : [];

                $fields[ 'blocks' ][ 'standard/display-type' ] = DisplayType::getBlocks();
                $fields[ 'blocks' ][ 'standard/order' ]        = Order::getBlocks();

                return $fields;
        }

}
