<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Controller\Items\Term\Manager as TermManager;

defined( 'WPIE__FILE__' ) || exit;


class Manager extends TermManager {

        
        public static function getFields() {

                $type = Settings::getTaxonomy();

                
                \do_action( 'Wpie/Import/Category/Init/Fields', $type );

                return Fields::get();
        }

        
        public static function initEngine() {

                $type = Settings::getTaxonomy();

                
                \do_action( 'Wpie/Import/Category/Init/Engine', $type );

                return Engine::init();
        }

        
        public static function getAutoLoadFields() {

                $type = Settings::getTaxonomy();

                
                \do_action( 'Wpie/Import/Category/Init/AutoLoadFields', $type );

                return AutoDetect::get();
        }

}
