<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\UsageLimits;

defined( 'WPIE__FILE__' ) || exit;


class LimitUsageToXItems {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Limit usage to X items', 'wp-import-export' ),
                        "desc"   => __( 'Limit usage to X items', 'wp-import-export' ),
                        "order"  => 20,
                        "fields" => [
                                "limit_usage_to_x_items" => [
                                        "order"      => 10,
                                        "label"      => __( 'Limit usage to X items', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "limit_usage_to_x_items" => [
                                                        "description" => __( "Set usage limit to x number of items.", 'wp-import-export' ),
                                                        "name"        => "fields/usage_limit/limit_usage_to_x_items/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Positive numbers only', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
