<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Shipping;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class FirstName {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'First Name', 'wp-import-export' ),
                        "desc"     => __( 'First Name', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields"   => [
                                "first_name" => [
                                        "order"      => 10,
                                        "label"      => __( 'First Name', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "first_name" => [
                                                        "description" => __( 'First Name', 'wp-import-export' ),
                                                        "name"        => "fields/shipping/first_name/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
