<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Advanced {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( 'yoastseo/advanced/noindex' ) ) {

                        $noindex = DataCenter::get( "yoastseo/advanced/noindex/data" );

                        $data[ 'meta-robots-noindex' ] = Helper::autoFixStr( $noindex, [ "0", "1", "2" ] );
                }

                if ( DataCenter::canUpdate( 'yoastseo/advanced/breadcrumbs_title' ) ) {

                        $data[ 'bctitle' ] = DataCenter::get( "yoastseo/advanced/breadcrumbs_title/data" );
                }
                if ( DataCenter::canUpdate( 'yoastseo/advanced/canonical_url' ) ) {

                        $data[ 'canonical' ] = DataCenter::get( "yoastseo/advanced/canonical_url/data" );
                }

                return $data;
        }
}
