<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Fields\Video;

defined( 'WPIE__FILE__' ) || exit;


class Thumbnail {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Thumbnail', 'wp-import-export' ),
                        "desc"     => __( 'Thumbnail', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields"   => [
                                "thumbnail" => [
                                        "order"      => 5,
                                        "label"      => __( 'Thumbnail', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "thumbnail" => [
                                                        "description" => __( "Video Thumbnail", 'wp-import-export' ),
                                                        "name"        => "fields/yoastseo/video/thumbnail/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Image Url', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
