<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Term;

use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Term\Fields\General;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Term\Fields\Social;
use WpieApp\Extensions\Import\YoastSeo\Controller\Items\Term\Fields\Advanced;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function init() {

                \add_filter( 'Wpie/Import/Term/Fields', [ __CLASS__, 'get' ], 1, 2 );
        }

        
        public static function get( $fields = [], $type = '' ) {

                $fields[ "yoastseo-general" ] = General::get();

                $fields[ "yoastseo-social" ] = Social::get();

                $fields[ "yoastseo-advanced" ] = Advanced::get();

                return $fields;
        }
}
