<?php



namespace WpieApp\Modules\Export\Controller\Items\User\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\User\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Standard {

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }

                if ( $element === 'user_role' ) {
                        $element = "roles";
                }

                $data = isset( DataCenter::getItem()->$element ) ? DataCenter::getItem()->$element : "";

                
                return \apply_filters( 'Wpie/Export/User/Standard/Data', $data, Settings::getContentType() );
        }

}
