<?php



namespace WpieApp\Modules\Export\Controller\Items\User;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function get( $option = "data" ) {

                
                \do_action( 'Wpie/Export/User/Init', Settings::getContentType(), Settings::get( 'category' ) );

                return static::init( $option );
        }

        
        protected static function init( $option = "data" ) {

                if ( $option === 'fields' ) {
                        return Helper::sortBy( Fields::get(), "priority" );
                }
                if ( $option === 'import-config' ) {
                        return ImportConfig::get();
                }

                return Engine::init( $option );
        }

}
