<?php



namespace WpieApp\Modules\Export\View\ContentType;

use WpieApp\Modules\Export\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function get() {

                
                return \apply_filters(
                        'Wpie/Modules/Export/View/Header',
                        [
                                "class"             => "wpie-export-header-view",
                                "menuWrapperClass"  => "d-none",
                                "blockWrapperClass" => "col-12 shadow-sm bg-white",
                                "order"             => 10,
                                "notes"             => self::getNotes(),
                                "blocks"            => [
                                        "content-type" => ContentType::getBlocks(),
                                ]
                        ]
                );
        }

        
        public static function getNotes() {

                
                return \apply_filters(
                        'Wpie/Modules/Export/View/ContentType/Notes',
                        [
                                [
                                        "type"       => "primary",
                                        "icon-class" => "fa-solid fa-circle-info ",
                                        "class"      => 'me-3',
                                        "text"       => __( 'Choose Export Content Type', 'wp-import-export' ),
                                ]
                        ]
                );
        }
}
