<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Extra\Karma;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Extra\Agent;
use WpieApp\Modules\Import\Controller\Items\Comment\Fields\Extra\UserId;

defined( 'WPIE__FILE__' ) || exit;


class Extra implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Comment/Fields/Extra', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Extra', 'wp-import-export' ),
                        "class"  => "wpie-extra-fields",
                        "order"  => 25,
                        "blocks" => [
                                "extra/karma"   => Karma::getBlocks(),
                                "extra/agent"   => Agent::getBlocks(),
                                "extra/user_id" => UserId ::getBlocks(),
                        ]
                ];
        }

}
